## tome 2.3.11-ah

=== debian/changelog ===
tome (2.3.11-ah-2) unstable; urgency=low

  * Modified the install paths to deploy to the FHS compliant
    /usr/games/tome and /var/games/tome, as we have always done
  * This is a major change, and includes theming. Some of the options have
    changed. Because of this, the manual page has been removed; there is a
    command line help  option and in game help until the manual page is
    rewritten.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 23:54:09 -0700

tome (2.3.11-ah-1) unstable; urgency=low

  * New upstream release, with minor bug fixes.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 20:40:47 -0700

tome (2.3.10-ah-1) unstable; urgency=low

  * New upstream release
    User Interface:
    - Always display list of selectable objects, i.e. remove the option of
      pressing '*' to hide list.
    - GTK2: Allow running with Shift + arrow keys. (Thanks to Lord
      Estraven.)
    - SDL fixes. (Thanks to Lord Estraven.)
    - System-wide character scores were removed. Use the ladder at
      http://angband.oook.cz instead.
    - Panic saves are no longer created. Saving state when memory is
      likely corrupted seems like a bad idea.
    - Remove long-obsolete front-ends.
    - Unix: Removed pointless and error-prone signal handling aimed at
      preventing cheating.
    - Removed gamma correction.
    Game:
    - Killerbunnies: Character dump now lists companions.
    - Killerbunnies: Fix dodge messages.
    - Imported Theme 1.2.0 since this excellent module by Furiosity seems
      to not be downloadable any more.
    - Further Thaumaturgy tweaks by Lord Estraven

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 20:29:54 -0700

tome (2.3.9-ah-1) unstable; urgency=low

  * New upstream release
    User Interface:
    - Always display list of selectable objects immediately
      instead of requiring user to press '*'.
    - Fix display issues with extremely wide terminals.
    - Automatizer: Fix memory corruption issues.
    - Remove obsolete and pointless options.
    Game:
    - Items are now immediately pseudo-identified upon pickup.
    - Psycometry now always Identifies regardless of level.
    - Remove the need to instantly leave for a certain quest. Lots
      of players would get caught out by this.
    - A few Mindcraft powers now scale with skill level. (Credit
      for these goes to Lord Estraven.)
    - "Far reaching attack" now works for *all* polearms.
    - Fixes and tweaks for Thaumaturgy to make view/area spells less
      overpowered and to make bolt/ball spells more useful. (Credit
      goes to Lord Estraven.)

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 20:29:27 -0700

tome (2.3.8-ah-1) unstable; urgency=low

  * New upstream release
    Game:
    - Fix duration display for the Shapeshift Mimicry power. Thanks
      to morchant for the fix.
    - Fix for creating "inventory" and "equipment" rules from the
      Automatizer UI. Thanks to morchant for the fix.
    - Fix for Lua code which should hopefully get things working better
      for OpenBSD users. Thanks to Kernigh for the patch.
    - Change "molten glass wall" to use a different internal code to
      hopefully avoid clashes with modules such as Theme.
    - Removed the check on low fuel on your light source when traveling.
      It doesn't make sense since you can already travel without any light
      equipped.
    Build System:
    - Added support for building the GTK2 interface; only lightly tested.
    - Miscellaneous fixes to the CMake files. Thanks to Kernigh for
      contributing these.
  * Now that we are using cmake, undo changes we made to Makefile.std

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 19:38:32 -0700

tome (2.3.7-ah-1) unstable; urgency=low

  * New upstream maintenance release
    - Remove item pval from antimagic field strength calculation since it
      may be both non-zero and invisible (to the player).
    - Miscellaneous 64 bit fixes.
    - Fix Lua errors when hitting <ESC> while choosing spell.
    - Killerbunnies: Automatizer: Add patch which adds new <inventory/>
      and <equipment/> rules.
    - Killerbunnies: Add "you do not know all your fate" to Fate menu
      if you haven't been discovered all your fates.
    - Killerbunnies: Display a message if trying to activate Piercing Shots
      without the necessary skill levels.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 14:43:34 -0700

tome (2.3.6-ah-1) unstable; urgency=medium

  * Upstream development of version 2 has moved into maintenance mode,
    with a new upstream git repository at:
    git://gitorious.org/tome2/tome2.git
    - Don't generate impassable glass walls.
    - Mark *all* quest monsters properly.
    - Avoid generating up staircases in selected dungeons.
    - Mimicry cloaks of Abomination now aggravate properly.
    - Properly handle item set effects with certain traps.
    - Fix crash bug during character dumps.
    - Misc. Mimicry fixes.
    - Prevent immunities from Balrog Form persisting too long.
    - Fix for loading/saving on Linux distribution using Fortify.
    - Fix for module directory paths.
    - Fix miscellaneous problems on 64-bit platforms.
    - Princess room should now always be generated.
    - Extra Blows applies to barehand combat too.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 13:49:42 -0700

tome (2.3.5-4) unstable; urgency=low

  * On purge, get rid of /var/games/tome directory (and all the score
    files)  (Closes: #663525).
  * Bug fix #663525: "unowned files after purge (policy 6.8, 10.8)", thanks to
    Andreas Beckmann

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 05 May 2014 10:49:34 -0700

tome (2.3.5-3) unstable; urgency=low

  * New bug fixing release.
  * Bug fix: "FTBFS due to binutils-gold", thanks to Bhavani Shankar
    R. Added -lm toi the linker line.    (Closes: #607552).

