=== debian/control ===
Source: tome
VCS-Git: git://anonscm.debian.org/users/srivasta/debian/tome.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=users/srivasta/debian/tome.git;a=summary
Section: non-free/games
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Build-Depends: libxaw7-dev, debhelper (>= 9.0.0),
 libncurses5-dev | libncurses-dev | ncurses-dev,
 libsdl1.2-dev | libsdl-dev, libsdl-mixer1.2-dev,
 libsdl-gfx1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev,
 libsdl-net1.2-dev, dpkg-dev (>= 1.16.0), cmake
Standards-Version: 3.9.5.0

Package: tome
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: single-player text-based roguelike dungeon simulation game
 Tome, short for Troubles of Middle Earth, is a single-player,
 text-based, dungeon simulation derived from the game angband, which
 in turn is derived from the older game Moria, which was in turn based
 on Rogue. It is often described as a "roguelike" game because the
 look and feel of the game is still quite similar to Rogue.
 .
 In tome, the  player may choose from a number of races and classes
 when creating a character, and then "run" that character over a
 period of days, weeks, even months, attempting to win the game by
 defeating Morgoth, who lurks somewhere in  the depths of the dungeon.
 .
 The ultimate goal of the game is to develop a character strong enough
 to defeat Morgoth, who resides on dungeon level 100. Upon doing so,
 you will receive the exalted status of "winner" and your character may
 retire.
 .
 The first main difference from Angband a new player to ToME will need
 to be aware of is that it has implemented a skills based system where
 instead of the  adventurer automatically improving in their abilities
 as they become more experienced, they get 5 skill points to spend on
 their character's abilities and can therefore customise what type of
 character they play. See the skills help file for details
 .
 The second major difference is that the main dungeon from Angband has
 been split  into 4 "dungeons", each of which cover a different
 portion of the dungeon's  levels. Note that not all of the places are
 actually "dungeons" - some are caves, forests, etc.
 .
 The third main difference between Vanilla Angband and ToME is the
 difference  in character classes and races, as well as a very
 different  magic system. ToME also offers the player the ability to
 undertake a series of  quests. It is not required for any adventurer
 to undertake  the fixed  quests, but they can result in some nice
 rewards.
 .
 Morgoth was 'the Dark Enemy of Middle-Earth' during its First Age. He
 was banished by the Valar (offspring of Eru, "god" of J.R.R.
 Tolkien's world) at the end of the First Age and thus never appears
 in The Lord of the Rings, set during the Third Age. Sauron, who does
 figure into those tales, was the most powerful of his servants. Read
 Tolkien's 'The Silmarillion' for more on the legends of Middle-Earth.
 Angband is a reference to Morgoth's "prison of iron."
