=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=3

opts="uversionmangle=s/(\d)(\d)(\d)/$1.$2.$3/g" http://t-o-m-e.net/dl/src/tome-(2.*)-src.tar.bz2
