=== lib/mods/theme/CMakeLists.txt ===
INSTALL(DIRECTORY
  apex
  data
  dngn
  edit
  file
  help
  note
  pref
  save
  user
  DESTINATION ${DEFAULT_PATH}/mods/theme
  PATTERN "delete.me" EXCLUDE
  )
