=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
   apex
   cmov
   data
-  dngn
   edit
   file
   help
