=== lib/mods/CMakeLists.txt ===
ADD_SUBDIRECTORY(theme)
