=== vendor/CppQuickCheck-2018-03-28/examples/CMakeLists.txt ===
add_executable(sampleOutput src/sampleOutput.cpp)
target_link_libraries(sampleOutput cppqc)

add_executable(sampleShrinkOutput src/sampleShrinkOutput.cpp)
target_link_libraries(sampleShrinkOutput cppqc)

add_executable(testReverse src/TestReverse.cpp)
target_link_libraries(testReverse cppqc)

add_executable(testReverseArray src/TestReverseArray.cpp)
target_link_libraries(testReverseArray cppqc)

add_executable(testSort src/TestSort.cpp)
target_link_libraries(testSort cppqc)

add_executable(testSortCompact src/TestSortCompact.cpp)
target_link_libraries(testSortCompact cppqc)

add_executable(testChooseGenerator src/TestChooseGenerator.cpp)
target_link_libraries(testChooseGenerator cppqc)

add_executable(exampleElementsGen src/exampleElementsGen.cpp)
target_link_libraries(exampleElementsGen cppqc)

add_executable(testSlowShrinking src/TestSlowShrinking.cpp)
target_link_libraries(testSlowShrinking cppqc)

add_executable(testWithCustomGenerator src/TestWithCustomGenerator.cpp)
target_link_libraries(testSlowShrinking cppqc)

# requires c++1y compile flag
#add_executable(testBoostTupleSupport src/BoostTupleSupport.cpp)
#target_link_libraries(testBoostTupleSupport cppqc)
