## tome 2.41-ah~0.git.20200131

=== debian/changelog ===
tome (2.41-ah~0.git.20200131-1.4build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:26:42 +0200

tome (2.41-ah~0.git.20200131-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for fakeroot explicit when building the package.
    (Closes: #1093364)

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Feb 2025 13:29:22 +0000

tome (2.41-ah~0.git.20200131-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to missing include (Closes: #1059141).

 -- Anton Gladky <gladk@debian.org>  Fri, 29 Dec 2023 22:13:29 +0100

tome (2.41-ah~0.git.20200131-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop GTK 2 binary (Closes: #967779).
  * Convert to source format 3.0 (Closes: #1055609).

 -- Bastian Germann <bage@debian.org>  Wed, 08 Nov 2023 21:30:58 +0100

tome (2.41-ah~0.git.20200131-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 10, thanks to Reiner Herrmann.  (Closes: #966065)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Nov 2022 13:55:27 +0100

tome (2.41-ah~0.git.20200131-1) unstable; urgency=medium

  * New ipstream git snapshot (sync to head)
  * Bug fix: "tome FTBFS on 32bit: invalid conversion from ‘uint32_t*’
    {aka ‘unsigned int*’} to ‘u32b*’ {aka ‘long unsigned int*’}", thanks
    to Adrian Bunk (Closes: #961367).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 May 2020 16:50:33 -0700

tome (2.4.0-ah-1) unstable; urgency=medium

  * New upstream version
  * Update the VCS-* fields in the control file to point to salsa
  * Update standards version to 4.3.0. No changes needed
  * The GTK frontend is back.
  * Bug fix: "duplicate files: README.Debian", thanks to IOhannes m
    zmoelnig (Closes: #864346).
  * Bug fix: "FTBFS on hurd-i386: PATH_MAX undeclared", thanks to Aaron
    M. Ucko (Closes: #875774). Added the same max as from
    /usr/include/linux/limits.h

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 May 2020 22:03:47 -0700

tome (2.4~0.git.2015.12.29-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Colin Watson ]
  * Only build with -fsanitize=undefined -fsanitize=address on architectures
    that support these.

  [ Bhavani Shankar ]
  * Match variable boolean type in z-rand.cc to fix compilation on
    32 bit archs. Thanks to Andreas Beckmann from debian for the
    report. Closes: #843984.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Sep 2017 22:25:47 +0200

tome (2.4~0.git.2015.12.29-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add "XS-Autobuild: yes" to have the buildds autobuild the package.
    This is also to be able to build binNMUs on the buildds during transitions.
    Closes: #750940

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 10 Oct 2016 14:25:57 +0000

tome (2.4~0.git.2015.12.29-1) unstable; urgency=low

  * New upstream git pull
  * WARNING: This is a pre-release of a new version. The savefile format
    has changed. YOUR OLD SAVES WILL NOT LOAD.
  * This is a pretty major refresh. LUA has gone. The code has moved to
    C++. There are probably unknown bugs.
  * Bug fix: "Fails to execute gtk2 interface because of setguid", thanks
    to falconbird. There is no GTK frontend anymore, so this is now moot.
    (Closes: #750941).
  * Updated the copyright to DEP-5, after rescanning the new soureces
    using debmake -cc

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Jan 2016 14:58:59 -0800

tome (2.3.11-ah-3) unstable; urgency=low

  * Update standards version to 3.9.6. No changes needed
  * Update the VCS-* fields in the control file to use https
  * Move to source format 1.0 and use dgit to release

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Jan 2016 10:43:27 -0800
