=== debian/rules ===
--- 
+++ 
@@ -37,17 +37,27 @@
 DPKG_ARCH := dpkg-architecture
 export DEB_HOST_MULTIARCH  := $(shell $(DPKG_ARCH) $(ha) -qDEB_HOST_MULTIARCH)
 
+DEB_HOST_ARCH := $(shell $(DPKG_ARCH) -qDEB_HOST_ARCH)
+CONFIGURE_ARGS :=
+ifneq (,$(filter amd64 arm64 armel armhf i386 powerpc ppc64 ppc64el x32 sparc sparc64,$(DEB_HOST_ARCH)))
+    # Upstream passes these unconditionally, but they're only available on
+    # certain architectures.
+    CONFIGURE_ARGS += \
+	-DCMAKE_C_FLAGS_DEBUG="${SANITIZER_FLAGS}" \
+	-DCMAKE_CXX_FLAGS_DEBUG="${SANITIZER_FLAGS}"
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DSYSTEM_INSTALL:BOOL=true
+	dh_auto_configure -- -DSYSTEM_INSTALL:BOOL=true $(CONFIGURE_ARGS)
 
 override_dh_auto_build:
-	bash -n debian/postinst
-	bash -n debian/postrm
-	bash -n debian/prerm
-	bash -n debian/preinst
+	bash -n debian/tome.postinst
+	bash -n debian/tome.postrm
+	bash -n debian/tome.prerm
+	bash -n debian/tome.preinst
 	bash -n debian/Tome.sh
 
 override_dh_install:
@@ -70,9 +80,9 @@
 override_dh_fixperms:
 	dh_fixperms
 	chgrp -R games       $(TMPTOP)/etc/$(package)/* $(PKG_STATLIB)/* $(PKG_LIBDIR) \
-                             $(TMPTOP)/usr/games/tome
+                             $(TMPTOP)/var/games/tome
 	chmod g+ws           $(PKG_LIBDIR)/data/
-	chmod g+s            $(TMPTOP)/usr/games/tome
+	chmod g+s            $(TMPTOP)/var/games/tome
 
 override_dh_clean:
 	dh_clean
@@ -81,6 +91,10 @@
 	touch ./lib/info/delete.me
 	touch ./lib/save/delete.me
 	touch ./lib/user/delete.me
+	test ! -e ${SRCTOP}/CMakeCache.txt || rm -f ${SRCTOP}/CMakeCache.txt
+	test ! -e ${SRCTOP}/Ccmake_install.cmake || rm -f ${SRCTOP}/cmake_install.cmake
+	test ! -e ${SRCTOP}/mAKEFILE || rm -f ${SRCTOP}/mAKEFILE
+	test ! -d ${SRCTOP}/CMakeFiles || rm -f ${SRCTOP}/CMakeFiles/
 
 #Local variables:
 #mode: makefile
